CREATE TABLE hwr_vltr_goal_f (
    GOAL_ID                 NUMBER(18, 0),
    GOAL_METRIC             VARCHAR2(200)    NOT NULL,
    LOWER_BOUND             NUMBER       ,
    UPPER_BOUND             NUMBER       ,
    EFFECTIVE_START_DATE    DATE             NOT NULL,
    EFFECTIVE_END_DATE      DATE             NOT NULL,
    UNITS                   VARCHAR2(200),
    FREQUENCY               VARCHAR2(200),
    CREATED_BY              VARCHAR2(256)    NOT NULL,
    CREATION_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY         VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN       VARCHAR2(128),
    GOAL_ID                 NUMBER(18, 0),
    GOAL_METRIC             VARCHAR2(200)    NOT NULL,
    LOWER_BOUND             NUMBER       ,
    UPPER_BOUND             NUMBER       ,
    EFFECTIVE_START_DATE    DATE             NOT NULL,
    EFFECTIVE_END_DATE      DATE             NOT NULL,
    UNITS                   VARCHAR2(200),
    FREQUENCY               VARCHAR2(200),
    CREATED_BY              VARCHAR2(256)    NOT NULL,
    CREATION_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY         VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN       VARCHAR2(128),
    CONSTRAINT pk_hwr_vltr_goal_f PRIMARY KEY (GOAL_ID, GOAL_ID)
);
